Vulnerability   
Search   
    Search 211766 CVE descriptions
and 97459 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.1.4.2016.2871.1
Category:SuSE Local Security Checks
Title:SUSE: Security Advisory (SUSE-SU-2016:2871-1)
Summary:The remote host is missing an update for the 'libtcnative-1-0' package(s) announced via the SUSE-SU-2016:2871-1 advisory.
Description:Summary:
The remote host is missing an update for the 'libtcnative-1-0' package(s) announced via the SUSE-SU-2016:2871-1 advisory.

Vulnerability Insight:
This update for libtcnative-1-0 fixes the following issues:
- Upgrade to libtcnative-1.1.34 (bugfix release) (bsc#1004455) See
[link moved to references]
* Unconditionally disable export Ciphers.
* Improve ephemeral key handling for DH and ECDH. Parameter strength is
by default derived from the certificate key strength.
* APIs SSL.generateRSATempKey() and SSL.loadDSATempKey() are no longer
supported.
* Various bugfixes.

Affected Software/OS:
'libtcnative-1-0' package(s) on SUSE Linux Enterprise Software Development Kit 12-SP2, SUSE Linux Enterprise Software Development Kit 12-SP1, SUSE Linux Enterprise Server for Raspberry Pi 12-SP2, SUSE Linux Enterprise Server 12-SP2, SUSE Linux Enterprise Server 12-SP1

Solution:
Please install the updated package(s).

CVSS Score:
5.0

CVSS Vector:
AV:N/AC:L/Au:N/C:P/I:N/A:N

CopyrightCopyright (C) 2021 Greenbone Networks GmbH

This is only one of 97459 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2021 E-Soft Inc. All rights reserved.